import { isArray } from 'lodash-es'

export const productDataParse = (data) => {
  if (data.keyword && isArray(data.keyword)) {
    data.keyword = data.keyword.join(',')
  }
  if (data.image && isArray(data.image)) {
    data.image = data.image.join(',')
  }
  data.attrs_value = data.attrs_value.map((item) => {
    if (item.image && isArray(item.image)) {
      item.image = item.image.join(',')
    }
    return item
  })
  data.is_show = data.is_show ? 1 : 0
  return data
}
