export interface categoryData {
  id?: number
  pid: number
  name: string //真实姓名
  image: string //图标
  is_show: 1 | 0 //是否显示
  sort: number //排序
}
interface attrs {
  attr_name: string //属性名
  attr_values: string //属性值
}
export interface attrsValue {
  suk: string //规格参数
  image: string[] | string //商品图片
  stock: number //库存
  price: number //商品价格
  ot_price: number //商品原价
  cost: number //商品成本价
}
export interface goodsData {
  id?: number
  name: string //商品名称
  video_open: 0 | 1 | true | false //商品视频是否开启：0关闭 1开启
  video_link?: string //视频链接
  image: string[] //主图
  slider_image: string[] //轮播图
  info?: string //简介
  keyword?: string[] | string //关键词
  cate_ids: string[] | string //分类
  postage: number //上楼费
  temp_id?: string //上楼费模板ID
  unit_name: string //单位
  sales?: number //销量
  ficti?: number //虚拟销量
  spec_type: 0 | 1 //规格模式:0=单规格,1=多规格
  is_show: 0 | 1 //状态:0=未上架,1=上架
  attrs: attrs[] //规格
  attrs_value: attrsValue[] //规格参数
  sort: number //排序
  description: string //商品内容
}
