export interface UserLoginType {
  username: string
  password: string
}

export interface UserType {
  username: string
  password: string
  role: string
  roleId: string
}

export interface UserInfo {
  expires_time: number
  logo: string
  logo_square: string
  menus: any[]
  prefix: string | null
  token: string
  unique_auth: string[]
  user_info: any
}

export interface isCaptcha {
  account: string
}

export interface UserLoginCaptchaType {
  account: string
  pwd: string
  captchaType?: string
  captchaVerification?: string
}
