export interface designerSearch {
  page?: number
  limit?: number
  gender?: string
  tag_list?: string
  name?: string
}
interface staff {
  id?: number
  uid: number | null
  name: string //真实姓名
  phone: number | null //手机号
  avatar: string //头像
  province: string //省
  city: string //市
  area: string //区
  longitude: string | number //经度
  latitude: string | number //纬度
  detail_address: string
}

export interface designerData extends staff {
  gender: 0 | 1 | 2 //性别 0保密 1男 2女
  birth_day_time?: string | number //生日
  tag_list: Array<string> //标签
  start_job_year: string
}
export interface staffCategoryData {
  id?: number
  name: string
  is_show: 1 | 0
  type: 1 | 2
}
export interface jobsData {
  id?: number
  name: string
  is_show: 1 | 0
  cate_id: number
  default_price: number
}
export interface SalespersonData extends staff {
  level?: number
  parent_id?: number
}
