import { RouteMetaCustom } from 'types/router'
export interface MenuData {
  id?: number
  path?: string
  status?: number
  unique_auth?: string
  parentId?: number
  type?: number
  component?: string
  apiUrl?: string
  methods?: string
  sort?: number
  name?: string
  title?: string
  meta?: RouteMetaCustom
  children?: object
}
export interface addRoleData {
  id?: number | string
  menu_name: string //名称
  icon?: string //图标
  params?: string //参数
  menu_path?: string //路由地址
  api_url?: string //接口地址
  methods?: string //请求方式 post get delete
  unique_auth: string //唯一标识
  pid?: number | string //父id
  sort?: number | string //排序
  auth_type: number | string //权限类型 1 菜单，2功能
  is_show: number | string //是否禁用1启用0禁用
  is_show_path?: number | string //是否显示路由0显示1隐藏
  extend?: string | object
}
