import { Layout } from '@/utils/routerHelper'
const pre = 'user'

export default {
  path: `/${pre}`,
  component: Layout,
  name: `${pre}`,
  redirect: '/user/list',
  meta: {
    title: '用户管理',
    icon: 'vi-ep:setting',
    alwaysShow: true
  },
  children: [
    {
      path: 'list',
      component: () => import('@/views/User/list/index.vue'),
      name: `${pre}-list`,
      meta: {
        title: '用户列表'
      }
    },
    {
      path: 'level',
      component: () => import('@/views/User/level/index.vue'),
      name: `${pre}-level`,
      meta: {
        title: '应用设置'
      }
    },
    {
      path: 'group',
      component: () => import('@/views/User/group/index.vue'),
      name: `${pre}-group`,
      meta: {
        title: '用户分组'
      }
    }
  ]
}
