export type designerSearch = {
  page?: number
  limit?: number
}

export interface designerData {
  id?: number
  uid: number | null
  name: string //真实姓名
  phone: number | null //手机号
  gender: 0 | 1 | 2 //性别 0保密 1男 2女
  avatar: string //头像
  birth_day_time?: string | number //生日
  province: string //省
  city: string //市
  area: string //区
  tag_list: Array<string> //标签
  longitude: string | number //经度
  latitude: string | number //纬度
  detail_address: string
  start_job_year: string
}
export type categoryData = {
  id?: number
  name: string
  is_show: 1 | 0
  type: 1 | 2
}
export type jobsData = {
  id?: number
  name: string
  is_show: 1 | 0
  cate_id: number
  default_price: number
}
