import { ComponentName } from '@/components/Form'

export interface configList {
  tab_id?: string | number
  status?: string
  page: number
  limit: number
}

export interface classList {
  page: number
  limit: number
  status?: string
  title?: string
  is_store?: string
}

export interface classUp {
  id?: string
  status: number
  title: number
  icon?: string
  sort?: string | number
  pid?: number
  is_store?: string
  eng_title?: string
  info?: string
}

export interface classConfigUp {
  id?: string
  menu_name: string
  info: string
  type: ComponentName
  parameter?: string | number
  configuration: {
    options?: Array<any> //默认选项
    required?: Array<string> //验证类型
    maxlength?: number //最长字数
    minlength?: number //最短字数
    input_type: string //输入框类型
    upload_type: number //上传类型
  }
  value: string
  desc: string
  sort: number
  status: number
  is_store?: string
  config_tab_id?: string
}
export interface headerBasice {
  id: number
  label: string
  pid: number
  value: string
  icon: string
  children: Array<any>
  loading?: boolean
  loadData?: boolean
}
