import { Layout } from '@/utils/routerHelper'
const pre = 'store'

export default {
  path: `/${pre}`,
  component: Layout,
  name: `${pre}`,
  redirect: '/store/list',
  meta: {
    title: '门店管理',
    icon: 'vi-ep:setting',
    alwaysShow: true
  },
  children: [
    {
      path: 'list',
      component: () => import('@/views/Store/list/index.vue'),
      name: `${pre}-list`,
      meta: {
        title: '门店列表'
      }
    }
  ]
}
